Bug 150131 - [PATCH] deskutils/recoll: fix compilation issue for xapian 1.2
Summary: [PATCH] deskutils/recoll: fix compilation issue for xapian 1.2
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Philip M. Gollucci
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-08-30 22:30 UTC by Jean-Francois Dockes
Modified: 2010-09-14 05:10 UTC (History)
0 users

See Also:


Attachments
file.diff (257 bytes, patch)
2010-08-30 22:30 UTC, Jean-Francois Dockes
no flags Details | Diff
file.diff (1.16 KB, patch)
2010-08-30 22:30 UTC, Jean-Francois Dockes
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jean-Francois Dockes 2010-08-30 22:30:06 UTC
	Recoll would not compile with Xapian 1.2. The patch brings compatibility
        with xapian 1.2 (and keeps it ok with 1.0)

Fix: -MAINTAINER=	jean-francois.dockes@wanadoo.fr
+MAINTAINER=	jf@dockes.org
 COMMENT=	A personal full text search package, based on QT and Xapian

 BUILD_DEPENDS=	qmake:${PORTSDIR}/devel/qmake
Comment 1 Edwin Groothuis freebsd_committer 2010-08-30 22:30:23 UTC
Class Changed
From-To: maintainer-update->change-request

Fix category (submitter is not maintainer) (via the GNATS Auto Assign 
Tool)
Comment 2 Edwin Groothuis freebsd_committer 2010-08-30 22:30:28 UTC
Maintainer of deskutils/recoll,

Please note that PR ports/150131 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/150131

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 3 Edwin Groothuis freebsd_committer 2010-08-30 22:30:31 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 4 Jean-Francois Dockes 2010-08-31 07:32:18 UTC
Edwin Groothuis writes:
 > Maintainer of deskutils/recoll,
 > 
 > Please note that PR ports/150131 has just been submitted.
 > 
 > If it contains a patch for an upgrade, an enhancement or a bug fix
 > you agree on, reply to this email stating that you approve the patch
 > and a committer will take care of it.
 > 
 > The full text of the PR can be found at:
 >     http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/150131

The patch is from me (the maintainer), it was submitted from another
address because my usual server rejected it as spam for some reason. The
patch is approved, obviously.

Thanks,

J.F. Dockes
Comment 5 Mark Linimon freebsd_committer freebsd_triage 2010-09-06 08:07:06 UTC
State Changed
From-To: feedback->open

Submitter is maintainer from another address.
Comment 6 Philip M. Gollucci freebsd_committer 2010-09-10 05:34:51 UTC
Responsible Changed
From-To: freebsd-ports-bugs->pgollucci

I will take it
Comment 7 Philip M. Gollucci freebsd_committer 2010-09-14 04:41:34 UTC
State Changed
From-To: open->closed

Committed, Thanks!
Comment 8 dfilter service freebsd_committer 2010-09-14 05:08:17 UTC
pgollucci    2010-09-14 03:42:05 UTC

  FreeBSD ports repository

  Modified files:
    deskutils/recoll     Makefile 
  Added files:
    deskutils/recoll/files patch-xapian12 
  Log:
  - Support both Xapian 1.0 and 1.2
  
  PR:             ports/150131
  Submitted by:   Jean-Francois Dockes <jf@dockes.org> (maintainer)
  
  Revision  Changes    Path
  1.42      +1 -1      ports/deskutils/recoll/Makefile
  1.1       +35 -0     ports/deskutils/recoll/files/patch-xapian12 (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"